import { AxiosRequestConfig, CancelTokenSource, AxiosPromise, AxiosResponse, AxiosInstance } from 'axios';
declare type TokenConfig = {
    authorizationTypeKey: string;
    authorizationTokenKey: string;
    authorizationTypeValue: number;
    authorizationTokenValue: string;
};
export declare class Http {
    private isSetInstancesToken;
    axiosIns: AxiosInstance;
    source: CancelTokenSource;
    instanceTokenConfig: TokenConfig;
    static globalTokenConfig: TokenConfig;
    static INSTANCES: {
        [key: string]: AxiosInstance;
    };
    static INSTANCES_REQUEST_INTERCEPTORS: {
        [key: string]: number;
    };
    static INSTANCES_RESPONSE_INTERCEPTORS: {
        [key: string]: number;
    };
    constructor(baseUrl: string, config?: AxiosRequestConfig);
    setInstanceTokenConfig(instanceTokenConfig: Partial<TokenConfig>): void;
    private request;
    abort(): void;
    get(url: string, configs?: AxiosRequestConfig): AxiosPromise;
    post(url: string, data?: any, configs?: AxiosRequestConfig): AxiosPromise;
    put(url: string, data?: any, configs?: AxiosRequestConfig): AxiosPromise;
    patch(url: string, data?: any, configs?: AxiosRequestConfig): AxiosPromise;
    delete(url: string, configs?: AxiosRequestConfig): AxiosPromise;
    static setGlobalTokenConfig(globalTokenConfig: Partial<TokenConfig>): void;
    static getInstances(key: string): AxiosInstance;
    static setReqInterceptor(resolve?: (config: AxiosRequestConfig) => AxiosRequestConfig, reject?: (error: any) => void, url?: string): void;
    static setResInterceptor(resolve?: (res: AxiosResponse) => AxiosResponse, reject?: (error: any) => any, url?: string): void;
}
export {};
